﻿using System;
using System.Linq;
using BankDemo.Cqrs.CommandStack.Aggregates;
using BankDemo.Cqrs.QueryStack.ReadModel;
using BankDemo.Models;
using Memento.Persistence;

namespace BankDemo.Application
{
    public class DashboardService
    {
        public IRepository Repository { get; private set; }

        public DashboardService(IRepository repository)
        {
            Repository = repository;
        }

        public DashboardViewModel GetDashboardViewModel()
        {
            var model = new DashboardViewModel();
            using (var db = new ProjectionManager())
            {
                model.Pending = (from req in db.Requests select req).ToList();
                return model;
            }
        }

        public RequestDetailsViewModel GetRequestDetails(Guid requestId)
        {
            var request = Repository.GetById<AccountRequest>(requestId);
            var model = new RequestDetailsViewModel() {PendingRequest = request};
            return model;
        }
    }
}