﻿using BankDemo.Cqrs.CommandStack.Commands;
using BankDemo.Models;
using Memento.Messaging.Postie;

namespace BankDemo.Application
{
    public class RequestService
    {
        public IBus Bus { get; private set; }

        public RequestService(IBus bus)
        {
            Bus = bus;
        }

        public void ApplyRequestForNewBankAccount(NewAccountRequestViewModel input, string connectionId)
        {
            var command = new RequestNewBankAccountCommand(
                input.FullName, input.Age, input.IsNew);
            command.SignalRConnectionId = connectionId;
            Bus.Send(command);
        }
    }
}