﻿using System;
using System.Web.Mvc;
using BankDemo.Application;

namespace BankDemo.Controllers
{
    public class DashboardController : Controller
    {
        private readonly DashboardService _service;  

        public DashboardController()
        {
            _service = new DashboardService(MvcApplication.AggregateRepository);
        }

        public ActionResult Index()
        {
            var model = _service.GetDashboardViewModel();
            return View(model);
        }

        public ActionResult More([Bind(Prefix="id")] string requestId)
        {
            var guid = Guid.Parse(requestId);
            var model = _service.GetRequestDetails(guid);
            return View(model);
        }
    }
}