﻿using Memento;

namespace BankDemo.Cqrs.CommandStack.Commands
{
    public class RequestNewBankAccountCommand : Command
    {
        public RequestNewBankAccountCommand(string name, int age, bool isNew)
        {
            FullName = name;
            Age = age;
            IsNew = isNew;
        }

        public int Age { get; private set; }
        public string FullName { get; private set; }
        public bool IsNew { get; private set; }

        // SignalR extension
        public string SignalRConnectionId { get; set; }
    }
}