﻿using System;
using Memento;

namespace Hello1.CommandStack.Events
{
    public class AccountRequestReceivedEvent : DomainEvent
    {
        public AccountRequestReceivedEvent(Guid id, string name, int age, bool isNew = false)
        {
            RequestId = id;
            FullName = name;
            Age = age;
            IsNewCustomer = isNew;
        }

        public Guid RequestId { get; private set; }
        public string FullName { get; private set; }
        public int Age { get; private set; }
        public bool IsNewCustomer { get; private set; }
    }
}