﻿using System;
using Memento;

namespace BankDemo.Cqrs.CommandStack.Events
{
    public class BankAccountApprovedEvent : DomainEvent
    {
        public BankAccountApprovedEvent(Guid requestId, string approver)
        {
            RequestId = requestId;
            When = DateTime.UtcNow;
            ByWhom = approver;
        }

        public Guid RequestId { get; private set; }
        public DateTime When { get; private set; }
        public string ByWhom { get; private set; }
    }
}