﻿using System;
using BankDemo.Cqrs.QueryStack.ReadModel;
using Hello1.CommandStack.Events;
using Memento.Messaging.Postie;

namespace BankDemo.Cqrs.QueryStack.Denormalizers
{
    public class AccountRequestDenormalizer : 
        IHandleMessages<AccountRequestReceivedEvent>
    {
        public void Handle(AccountRequestReceivedEvent message)
        {
            var req = new PendingRequest()
            {
                DisplayName = message.FullName,
                RequestId = message.RequestId,
                Category = "",
                Status = "Waiting for approval"
            };
            
            // Add a bit of fun
            var random1 = new Random().Next(100000);
            if (random1%2 > 0)
                req.Status = "First level check passed";
            if (message.Age < 40)
                req.Category += "Under40, ";
            if (message.Age > 60)
                req.Category += "Over60, ";
            if (message.IsNewCustomer)
                req.Category += "New, ";
            req.Category = req.Category.Trim(',', ' ').ToUpper();


            using (var context = new BankContext())
            {
                context.Requests.Add(req);
                context.SaveChanges();
            }
        }
    }
}