﻿using System;
using System.Linq;

namespace BankDemo.Cqrs.QueryStack.ReadModel
{
    public class ProjectionManager : IDisposable
    {
        private readonly BankContext _context = null;

        public ProjectionManager()
        {
            _context = new BankContext();
            _context.Configuration.AutoDetectChangesEnabled = false;
        }

        public IQueryable<PendingRequest> Requests
        {
            get { return _context.Requests; }
        }

        public void Dispose()
        {
            if (_context != null)
                _context.Dispose();
        }
    }
}